Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.portal.owswatch.configs
Class ServiceDescription

    java.lang.Object
      org.deegree.portal.owswatch.configs.ServiceDescription

All Implemented Interfaces:
  Serializable

    public class ServiceDescription

extends Object
implements Serializable

Holds the Serviceconfigurations section of the owsWatchConfigurations xml

Version:
  $Revision: 20271 $, $Date: 2009-10-21 13:07:15 +0200 (Mi, 21. Okt 2009) $
Author:
  Moataz Elmasry, last edited by: $Author: jmays $
See Also:
  Serialized Form

Constructor Summary
`ServiceDescription(List<Integer> testIntervals, Map<String,Service> services)`

Method Summary
`Map<String,Service>` | `getServices()`
`List<Integer>` | `getTestIntervals()`
`void` | `setServices(Map<String,Service> services)`
`void` | `setTestIntervals(List<Integer> testIntervals)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServiceDescription

    public ServiceDescription(List<Integer> testIntervals,
                              Map<String,Service> services)

Parameters:
  `testIntervals` -
  `services` -

Method Detail

### getServices

    public Map<String,Service> getServices()

  Returns:
    Services

### setServices

    public void setServices(Map<String,Service> services)

  Parameters:
    `services` -

### getTestIntervals

    public List<Integer> getTestIntervals()

  Returns:
    TestIntervals

### setTestIntervals

    public void setTestIntervals(List<Integer> testIntervals)

  Parameters:
    `testIntervals` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org